
 LinHES - Bug # 848: IguanaIR not working. 

Status: Closed Priority: Normal
Author: kc8vfa Category: Packages: Core
Created: 09/10/2012 Assignee: brfransen
Updated: 10/15/2012 Due date:
Description: Many thanks to the Linhes team for all the support over the years.....

with upgrade or fresh install 7.3 or 7.4 IguanaIR gave errors on system boot and after poking around I found 
that there was a file missing causing the error...

Unfortuntly when I discovered this last release and did not report it or keep the info pointing me to the file,  
But from memory the libusb.so file was missing or not linked.

Downloading source and installing fixed missing file for me on 7.3 and 7.4.

http://iguanaworks.net/downloads/iguanaIR-1.0.3.tar.bz2
tar -xjf iguanaIR-1.0.3.tar.bz2
cd iguanaIR-1.0.3
./configure
make
make install

Associated revisions
09/25/2012 08:28 am - brfransen
iguanair: update to 1.0.3. refs #848

10/26/2012 09:31 am - jams
Merge remote-tracking branch 'origin/testing' into testing

# By Britney Fransen
# Via Britney Fransen
* origin/testing:
  LinHES-system: LinHES-session: fix unclutter config path
  mythtv: bump to get latest fixes
  iguanair: update to 1.0.3. refs #848
  dvb-firmware: add dvb-fe-cx24116.fw. closes #852

Conflicts:
	abs/core/LinHES-system/PKGBUILD
	abs/core/iguanair/PKGBUILD
	abs/core/mythtv/stable-0.25/mythtv/PKGBUILD

History
09/11/2012 06:37 am - brfransen
Are you sure the iguanair pkg is installed? What does @pacman -Ss iguanair@ give you?

09/18/2012 08:26 am - brfransen
- Status changed from New to Feedback

- Category set to Packages: Core

- Assignee set to brfransen

09/24/2012 09:24 pm - kc8vfa
here is the info...

pacman -Ss iguanair 
core/iguanair 1.0.1-2 [installed]
    Linux Infrared Remote Control usb from iguanaworks

I'm not %100 shure what the file missing was.....  but the previous install info does fix it....

09/25/2012 08:35 am - brfransen
libusb.so was in the 1.0.1-2 pkg so I don't think it was what was missing.  I have updated the pkg to 1.0.3.  Please uninstall the manual install and 
install the 1.0.3 pkg ( pacman -U http://linhes.org/repo/i686/core-testing/iguanair-1.0.3-1-i686.pkg.tar.xz ) and report back.

10/15/2012 01:10 pm - kc8vfa
Sorry for the late reply....

I wiped my baster backend and reinstalled R7.3  SSH'd into the system while it was searching for TV channels.  Applied the update as listed
after finishing up the setup, rebooted the system and changed the receiver to Iguanairusb and saved settings.

You got it fixed... 

Thank you...

10/15/2012 01:25 pm - brfransen
- Status changed from Feedback to Closed

Thank you for testing and reporting back.
